(file) Return to tog-pegasus.rc CVS log (file) (dir) Up to [Pegasus] / pegasus / rpm

 1 w.otsuka 1.1 #! /bin/sh
 2 martin   1.5 #//%2005////////////////////////////////////////////////////////////////////////
 3              #//
 4              #// Copyright (c) 2000, 2001, 2002 BMC Software; Hewlett-Packard Development
 5              #// Company, L.P.; IBM Corp.; The Open Group; Tivoli Systems.
 6              #// Copyright (c) 2003 BMC Software; Hewlett-Packard Development Company, L.P.;
 7              #// IBM Corp.; EMC Corporation, The Open Group.
 8              #// Copyright (c) 2004 BMC Software; Hewlett-Packard Development Company, L.P.;
 9              #// IBM Corp.; EMC Corporation; VERITAS Software Corporation; The Open Group.
10              #// Copyright (c) 2005 Hewlett-Packard Development Company, L.P.; IBM Corp.;
11              #// EMC Corporation; VERITAS Software Corporation; The Open Group.
12              #//
13              #// Permission is hereby granted, free of charge, to any person obtaining a copy
14              #// of this software and associated documentation files (the "Software"), to
15              #// deal in the Software without restriction, including without limitation the
16              #// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
17              #// sell copies of the Software, and to permit persons to whom the Software is
18              #// furnished to do so, subject to the following conditions:
19              #//
20              #// THE ABOVE COPYRIGHT NOTICE AND THIS PERMISSION NOTICE SHALL BE INCLUDED IN
21              #// ALL COPIES OR SUBSTANTIAL PORTIONS OF THE SOFTWARE. THE SOFTWARE IS PROVIDED
22              #// "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT
23 martin   1.5 #// LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
24              #// PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
25              #// HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
26              #// ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
27              #// WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
28              #//
29              #//==============================================================================
30              #//
31              #//%/////////////////////////////////////////////////////////////////////////////
32 w.otsuka 1.1 
33              ### BEGIN INIT INFO
34              # Provides: tog-pegasus
35              # Required-Start: $syslog $network
36 w.otsuka 1.3 # Should-Start: $time
37              # Required-Stop: $syslog
38 w.otsuka 1.1 # Default-Start:  3 5
39              # Default-Stop: 0 1 2 6
40 w.otsuka 1.3 # Description:	  init script for Pegasus CIM server
41 w.otsuka 1.1 ### END INIT INFO
42              
43              CIMSERVER_BIN=/opt/tog-pegasus/sbin/cimserver
44              prog=cimserver
45              
46              test -x $CIMSERVER_BIN || exit 5
47              
48              . /lib/lsb/init-functions
49              RETVAL=0
50              
51              case "$1" in
52                   start)
53 w.otsuka 1.3 	echo -n $"Starting up CIM server: "
54 w.otsuka 1.4 	$CIMSERVER_BIN
55 w.otsuka 1.1 	RETVAL=$?
56              	[ "$RETVAL" -eq 0 ] && log_success_msg $"$prog start" || log_failure_msg $"$prog start"
57              	echo
58              	;;
59              
60                   stop)
61 w.otsuka 1.3 	echo -n $"Shutting down CIM server: "
62 w.otsuka 1.2 	killproc cimserver
63 w.otsuka 1.1 	RETVAL=$?
64              	[ "$RETVAL" -eq 0 ] && log_success_msg $"$prog stop" || log_failure_msg $"$prog stop"
65              	echo
66              	;;
67 w.otsuka 1.3      status)
68              	pid=`pidofproc $CIMSERVER_BIN`
69 w.otsuka 1.1 	RETVAL=$?
70 w.otsuka 1.3 	if [ "$RETVAL" -eq 0 ]; then
71              		echo "CIM server is running"
72              	else
73              		echo "CIM server is not running"
74              	fi
75 w.otsuka 1.1 	;;
76                   try-restart)
77              	$0 stop && $0 start
78              	;;
79                   restart|force-reload)
80              	$0 stop
81              	$0 start
82              	;;
83                   reload)
84              	;;
85                   *)
86              	echo "Usage: $0 {start|stop|status|restart|reload|force-reload|try-restart}"
87              	exit 1
88              esac
89              
90              exit $RETVAL
91              

No CVS admin address has been configured
Powered by
ViewCVS 0.9.2